View Issue Details

IDProjectCategoryView StatusLast Update
0008204mantisbtfilterspublic2018-03-31 19:58
ReporterjasondyalogAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version2.13.0Fixed in Version2.13.0 
Summary0008204: Filters not remembered when clicking through from "My View"
Description

When in "My View" clicking on assigned items to show all of these items, the filter is not remembered when changing the order

Steps To Reproduce

goto "My View"
click "Assigned to me" -> taking you to "view_all_bug_page.php" to show all items
click "p" or "Severity" to re-order items

this then shows all items, not just the items assigned to you, having clicked through from the "My View" page, this should remeber the filter used and only display the items it was showing before changing which order to view them in.

TagsNo tags attached.

Relationships

has duplicate 0008473 closedvboctor Sorting in the view_all_bug_page.php does not always preserve filter 
has duplicate 0008264 closedgiallu "My View" completely broken (Mantis 1.0.7) 
has duplicate 0007084 closedgiallu Selecting e.g Unassigned filter in 'My View' does not allow navigation through filter pages 
has duplicate 0013907 closedatrol Cann't find out the valid data after sorting data 
has duplicate 0011601 closedatrol Temporary filters cannot be sorted 
has duplicate 0011167 closedcproensa Use of temporary=y in the filter from the My_View page to the View_Issues page should be removed or made configurable. 
has duplicate 0013362 closedcproensa Column sorting on view issues page uses cached list of issues 
has duplicate 0008032 closedcproensa Wrong selection upon Print reports and CSV export 
has duplicate 0009375 closedcproensa Save Search after linking from Summary Page doesn't 
has duplicate 0024039 closedatrol Mantis internal bug: Selecting available "View Issues" selections are transient when sorting 

Activities

grangeway

grangeway

2007-07-29 13:34

reporter   ~0015277

A fix for this has been submitted to CVS for inclusion in 1.1.0a4

Paul

jasondyalog

jasondyalog

2007-07-31 04:28

reporter   ~0015303

Paul,

This Issue still exists on the latest CVS which is now runing on www.mantisbt.org

when in "My View" and then clicking on one of the headers "Resolved" for instance, I can click through next page, Prev Page. and that now works - hich it didn't before. but If I change the order in which they are viewed, by clicking on "ID" or "P" then the filter is forgotten.

giallu

giallu

2007-10-21 07:02

reporter   ~0015928

Confirmed. It is still not working.

Paul, I tried to look for a commit related to this but failed: can you track what/when went in CVS supposedly fixing the problem?

It could be a starting point to understand what is going on

atrol

atrol

2014-01-21 16:15

developer   ~0039122

Unassigned after having been assigned for a long time without progress.

atrol

atrol

2016-01-30 15:29

developer   ~0052449

PR https://github.com/mantisbt/mantisbt/pull/708

atrol

atrol

2016-03-10 02:35

developer   ~0052730

New PR https://github.com/mantisbt/mantisbt/pull/717

cproensa

cproensa

2017-09-03 18:21

developer   ~0057601

New PR https://github.com/mantisbt/mantisbt/pull/1091

Related Changesets

MantisBT: master 1fc514b5

2017-04-12 13:46:26

cproensa


Committer: atrol Details Diff
Ensure temporary filter is tracked through view_all_page

Implement correct tracking of the temporary filter id through
view_all_set actions, by passing the filter id as parameter from all
action links and filter form.

Fixes: 0008204
Affected Issues
0008204
mod - core/filter_api.php Diff File
mod - core/filter_form_api.php Diff File
mod - core/print_api.php Diff File
mod - js/common.js Diff File
mod - return_dynamic_filters.php Diff File
mod - view_all_inc.php Diff File
mod - view_all_set.php Diff File

Issue History

Date Modified Username Field Change
2007-07-27 06:03 jasondyalog New Issue
2007-07-29 13:34 grangeway Status new => resolved
2007-07-29 13:34 grangeway Fixed in Version => 1.1.0a4
2007-07-29 13:34 grangeway Resolution open => fixed
2007-07-29 13:34 grangeway Assigned To => grangeway
2007-07-29 13:34 grangeway Note Added: 0015277
2007-07-31 04:28 jasondyalog Status resolved => feedback
2007-07-31 04:28 jasondyalog Resolution fixed => reopened
2007-07-31 04:28 jasondyalog Note Added: 0015303
2007-10-19 04:10 vboctor Relationship added has duplicate 0008473
2007-10-21 07:02 giallu Note Added: 0015928
2007-10-21 07:02 giallu Status feedback => confirmed
2007-11-16 07:00 giallu Assigned To grangeway =>
2007-11-16 07:00 giallu Resolution reopened => open
2007-11-16 07:00 giallu Fixed in Version 1.1.0a4 =>
2007-11-16 07:00 giallu Target Version => 1.1.0
2008-01-14 10:15 vboctor Target Version 1.1.1 => 1.1.x
2008-07-31 16:50 giallu Relationship added has duplicate 0008264
2008-07-31 16:50 giallu Relationship added has duplicate 0007084
2008-08-05 10:33 jreese Target Version 1.1.x => 1.1.3
2008-08-05 20:51 daryn Status confirmed => assigned
2008-08-05 20:51 daryn Assigned To => daryn
2011-09-07 16:48 atrol Target Version 1.1.3 => 1.3.0-beta.1
2012-02-20 07:04 atrol Relationship added has duplicate 0013907
2014-01-21 16:15 atrol Note Added: 0039122
2014-01-21 16:15 atrol Assigned To daryn =>
2014-01-21 16:15 atrol Status assigned => confirmed
2014-12-08 02:10 atrol Target Version 1.3.0-beta.1 => 1.3.0-beta.2
2015-03-15 19:59 dregad Target Version 1.3.0-beta.2 => 1.3.0-beta.3
2015-09-06 17:47 vboctoradmin Target Version 1.3.0-beta.3 => 1.3.0-rc.1
2015-12-06 02:55 vboctor Target Version 1.3.0-rc.1 => 1.3.0-rc.2
2016-01-30 15:29 atrol Note Added: 0052449
2016-03-09 19:40 cproensa Relationship added has duplicate 0011601
2016-03-10 02:35 atrol Note Added: 0052730
2016-03-10 02:39 atrol Relationship added related to 0011167
2016-05-31 18:33 cproensa Relationship added has duplicate 0013362
2016-06-12 02:37 atrol Target Version 1.3.0-rc.2 => 1.3.0
2016-07-10 07:57 atroladmin Target Version 1.3.0 => 1.3.1
2016-07-11 15:32 atrol Target Version 1.3.1 =>
2017-04-13 14:02 cproensa Relationship replaced has duplicate 0011167
2017-04-17 10:55 cproensa Relationship added has duplicate 0008032
2017-04-17 20:22 cproensa Relationship added has duplicate 0009375
2017-09-03 18:21 cproensa Note Added: 0057601
2018-02-24 05:41 atrol Relationship added has duplicate 0024039
2018-03-04 17:30 atrol Changeset attached => MantisBT master 1fc514b5
2018-03-04 17:30 cproensa Assigned To => cproensa
2018-03-04 17:30 cproensa Status confirmed => resolved
2018-03-04 17:30 cproensa Resolution open => fixed
2018-03-04 17:30 cproensa Fixed in Version => 2.13.0
2018-03-04 17:38 atrol Target Version => 2.13.0
2018-03-31 19:58 vboctor Status resolved => closed